# Project Car

{% hint style="warning" %}
Ma**ke sure to add the necessary items, item images and job names required for the job**
{% endhint %}

***

## 👨‍👦‍👦Multiplayer Settings

If there are multiplayer options in the job you use, it is an example that this job can be done in a group, that is, in a group.

<mark style="background-color:yellow;">**\["can\_multiplayer"]**</mark>: <mark style="color:yellow;">@boolean</mark> Where you see this variable, you can make it `true` if you want to work as a group and `false` if you want to close group work.

<mark style="background-color:yellow;">**\["show\_member\_blips"]**</mark>: <mark style="color:yellow;">@boolean</mark> Set `true` if you want to see your group mates' blips on the map and `false` if you don't.

***

<mark style="background-color:yellow;">**\["name"]:**</mark> It is the label that will appear in menus or notifications.

<mark style="background-color:yellow;">**\[‘menu’]**</mark> variable consists of things related to the location from which the job is to be retrieved

* <mark style="background-color:orange;">\["job\_menu"]:</mark> <mark style="color:yellow;">@vector3</mark> Accepts. The menu access location of the job.
* <mark style="background-color:orange;">\["interaction\_distance"]:</mark> <mark style="color:yellow;">@float</mark> Accepts. The player distance controlled to access the menu.

***

## 🚗 Car Settings

Information about the means of transportation to reach the project vehicle or to retrieve parts of the project vehicle.

* <mark style="background-color:orange;">\["model"]:</mark> <mark style="color:yellow;">@string</mark> You can enter the vehicle model here. Be careful to enter a valid vehicle.
* <mark style="background-color:orange;">\["spawnCoords"]:</mark> <mark style="color:yellow;">@vector4</mark> Accepts. It is the position where the vehicle will emerge. The direction your character is facing is the direction the front of your vehicle will face.

***

## 📑 Missions/Projects List

You can find project details and information about new projects here.

<mark style="background-color:yellow;">**\["reward"]**</mark>: <mark style="color:yellow;">@number</mark> Amount of money to be given when the project is completed.

<mark style="background-color:orange;">\["mission\_time"]:</mark> <mark style="color:yellow;">@number</mark> Time to complete the project. ***Minutes \* 60 \* 1000.***

<mark style="background-color:orange;">\["extra\_time"]:</mark> <mark style="color:yellow;">@number</mark> Extra time to be given in case the project is not completed. ***Minutes \* 60 \* 1000***

<mark style="background-color:orange;">**\["car\_model"]**</mark>: <mark style="color:yellow;">@string</mark> The model of the project car. Generally I recommend you to prefer sedan, sport etc. vehicle classes.

<mark style="background-color:orange;">**\["jack\_model"]**</mark>: <mark style="color:yellow;">@string</mark> The jack model that lifts the car up.

<mark style="background-color:orange;">\["jack\_coord"]</mark>: <mark style="color:yellow;">@vector4</mark> Position of the jack to lift the vehicle up

<mark style="background-color:orange;">**\["craft\_coord"]**</mark>: <mark style="color:yellow;">@vector3</mark> Coordinate of the project vehicle

* **Tyre Animations / tyre\_animations**
  * <mark style="background-color:orange;">**\["time"]**</mark>**:&#x20;**<mark style="color:yellow;">**@number**</mark> This is the time when the animation will be made.
  * <mark style="background-color:orange;">**\["flag"]**</mark>: <mark style="color:yellow;">@number</mark> The flag number of the animation.
  * <mark style="background-color:red;">\["animName"]:</mark> <mark style="color:yellow;">@string</mark> Animation name.
  * <mark style="background-color:red;">\["animDict"]:</mark> <mark style="color:yellow;">@string</mark> Animation directory name.
* Tyre Positions / tyre\_positions
* <mark style="background-color:orange;">**\["wheel type"]**</mark>: <mark style="color:yellow;">@string</mark> ⇒ Only the following can happen: **wheel\_lf** ( Left Front ), **wheel\_rf** ( Right Front ), **wheel\_lm** ( Left Rear ) and **wheel\_rm** ( Right Rear )
  * <mark style="background-color:red;">**\["target"]**</mark>: <mark style="color:yellow;">@table</mark> Contains the offset and radius values that the player will interact with.
    * <mark style="background-color:red;">**\["coords"]**</mark>: <mark style="color:yellow;">@vector3</mark> The operation is performed according to the position of the vehicle's tire. The x, y and z values you enter are offset according to the world position of the vehicle's tire.
    * <mark style="background-color:red;">**\["radius"]**</mark>: <mark style="color:yellow;">@float</mark> The size of the target option to be added to the location.
  * <mark style="background-color:orange;">**\["pedOffset"]**</mark>: <mark style="color:yellow;">@vector3</mark> It is the position where the user will be fixed when interacting with the wheel.
  * <mark style="background-color:orange;">**\["jackOffset"]:**</mark> <mark style="color:yellow;">@vector3</mark> The jack position spawned to lift the vehicle into the air.
  * <mark style="background-color:orange;">**\["bone"]**</mark>: <mark style="color:yellow;">@number</mark> The number of the bonnet close to the wheel of the vehicle. For coordinates etc.
  * <mark style="background-color:orange;">**\["tyre\_index"}**</mark>: <mark style="color:yellow;">@number</mark> Tire number according to the order of the game.

    ```cpp
    enum eVehicleWheels
    {
    	WHEEL_LF = 0, // Vehicle Left front
    	WHEEL_RF = 1, // Vehicle Right front
    	WHEEL_LM = 2, // Vehicle Left middle
    	WHEEL_RM = 3, // Vehicle Right middle
    	WHEEL_LR = 4, // Vehicle Left rear
    	WHEEL_RR = 5, // Vehicle Right rear
    	WHEEL_BF = 6, // Bike front
    	WHEEL_BR = 7, // Bike rear
    	MAX_WHEELS = 8
    };
    ```

{% hint style="info" %}
\*Same For Door Positions/Animations
{% endhint %}

***

## Cam Settings / cam\_stuff

Defines camera settings when interacting with the project vehicle.

* <mark style="background-color:orange;">**cam\_pos**</mark>: `vec3` - Position of the camera.
* <mark style="background-color:orange;">**cam\_rot**</mark>: `vec3` - Rotation of the camera.
* <mark style="background-color:orange;">**cam\_fov**</mark>: Field of view.
* <mark style="background-color:orange;">**hidded\_ped**</mark>: Position to teleport the ped when hidden.

***

## Vehicle Parts Store

Information about the NPC and the available parts for purchase.

#### NPC

* <mark style="background-color:orange;">**model**</mark>: <mark style="color:yellow;">`string`</mark>Ped model for the seller.
* <mark style="background-color:orange;">**coords**</mark>: <mark style="color:yellow;">`vec4`</mark> - Position and heading.
* <mark style="background-color:orange;">**blip**</mark>: Blip settings for the store location.

#### Vehicle Parts

Each item has:

* <mark style="background-color:orange;">**label**</mark>: <mark style="color:yellow;">`string`</mark>Display label with dynamic price.
* <mark style="background-color:orange;">**description**</mark>: <mark style="color:yellow;">`string`</mark>Short description.
* <mark style="background-color:orange;">**item\_name**</mark>: <mark style="color:yellow;">`string`</mark>The item name used in inventory.
* <mark style="background-color:orange;">**price**</mark>: <mark style="color:yellow;">`number`</mark>Price in dollars.

Supported parts:

* `tyre`
* `door`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-jobpack/job-settings/project-car.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
